> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark as Seen

> Mark messages as seen (read)

## Description

This endpoint allows marking one or more messages as seen (read), sending read confirmations (blue checkmarks) to the sender. Useful for automations that need to confirm the reading of received messages.

## Body

```json theme={null}
{
  "sessionId": "my-session",
  "jid": "5511999999999@s.whatsapp.net",
  "messageIds": [
    "3EB0XXXXXX"
  ]
}
```

### Body Parameters

| Property     | Type     | Required | Description                                                                                                          |
| ------------ | -------- | -------- | -------------------------------------------------------------------------------------------------------------------- |
| `sessionId`  | `string` | ✅ Yes    | Authenticated session ID that will mark the messages                                                                 |
| `jid`        | `string` | ✅ Yes    | Chat identifier (WhatsApp JID). Format: `5511999999999@s.whatsapp.net` for contacts or `120363XXXXX@g.us` for groups |
| `messageIds` | `array`  | ✅ Yes    | Array of message IDs to be marked as seen                                                                            |

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Mensagens marcadas como vistas com sucesso
* `400` - Invalid parameters
* `401` - Unauthorized session
* `404` - Session not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.wappfy.com.br/api/sendSeen \
    -H "Content-Type: application/json" \
    -d '{
      "sessionId": "my-session",
      "jid": "5511999999999@s.whatsapp.net",
      "messageIds": ["3EB0XXXXXX", "3EB0YYYYYY"]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.wappfy.com.br/api/sendSeen', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      sessionId: 'my-session',
      jid: '5511999999999@s.whatsapp.net',
      messageIds: ['3EB0XXXXXX', '3EB0YYYYYY']
    })
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.wappfy.com.br/api/sendSeen',
      json={
          'sessionId': 'my-session',
          'jid': '5511999999999@s.whatsapp.net',
          'messageIds': ['3EB0XXXXXX', '3EB0YYYYYY']
      }
  )
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json post /api/sendSeen
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/sendSeen:
    post:
      tags:
        - 📤 Chatting
      operationId: ChattingController_sendSeen
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendSeenRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
      security:
        - api_key: []
components:
  schemas:
    SendSeenRequest:
      type: object
      properties:
        chatId:
          type: string
          example: 5511999999999@c.us
        messageIds:
          example:
            - false_11111111111@c.us_AAAAAAAAAAAAAAAAAAAA
          type: array
          items:
            type: string
        participant:
          type: string
          example: 5511999999999@c.us
          default: null
          description: NOWEB engine only - the ID of the user that sent the message
        session:
          type: string
          example: my-session
          description: Session name (instanceName)
      required:
        - chatId
        - session
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````